Ojs 2.4.8 getting error


#1

help me plz !!!
i have successfull install ojs 2.4.8, after login as admin and go to site administrator it always getting this error.

ojs2 has produced an error\n Message: WARNING: fsockopen(): unable to connect to pkp.sfu.ca:80 (Connection timed out)\n In file: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/file/wrappers/HTTPFileWrapper.inc.php\n At line: 77\n Stacktrace: \n File: (unknown) line (unknown)\n Function: PKPApplication->errorHandler(2, “fsockopen(): unable to connect to pkp.sfu.ca:80 (Connection timed out)”, “/home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/file/wrappers/HTTPFileWrapper.inc.php”, 77, Array(7))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/file/wrappers/HTTPFileWrapper.inc.php line 77\n Function: fsockopen(“pkp.sfu.ca”, 80, 0, “”)\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/file/FileWrapper.inc.php line 53\n Function: HTTPFileWrapper->open()\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/xml/XMLParser.inc.php line 258\n Function: FileWrapper->contents()\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/db/XMLDAO.inc.php line 56\n Function: XMLParser->parseStruct(“http://pkp.sfu.ca/ojs/xml/ojs-version.xml?id=&oai=http%3A%2F%2Fjournal.polowijogosari.com%2Findex.php%2Findex%2Foai”, Array(0))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/site/VersionCheck.inc.php line 82\n Function: XMLDAO->parseStruct(“http://pkp.sfu.ca/ojs/xml/ojs-version.xml?id=&oai=http%3A%2F%2Fjournal.polowijogosari.com%2Findex.php%2Findex%2Foai”, Array(0))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/site/VersionCheck.inc.php line 47\n Function: VersionCheck->parseVersionXML(“http://pkp.sfu.ca/ojs/xml/ojs-version.xml?id=&oai=http%3A%2F%2Fjournal.polowijogosari.com%2Findex.php%2Findex%2Foai”)\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/site/VersionCheck.inc.php line 205\n Function: VersionCheck->getLatestVersion()\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/pages/admin/AdminHandler.inc.php line 42\n Function: VersionCheck->checkIfNewVersionExists()\n File: (unknown) line (unknown)\n Function: AdminHandler->index(Array(0), Object(Request))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/core/PKPRouter.inc.php line 362\n Function: call_user_func(Array(2), Array(0), Object(Request))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/core/PKPPageRouter.inc.php line 220\n Function: PKPRouter->_authorizeInitializeAndCallRequest(Array(2), Object(Request), Array(0), False)\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/core/Dispatcher.inc.php line 134\n Function: PKPPageRouter->route(Object(Request))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/lib/pkp/classes/core/PKPApplication.inc.php line 178\n Function: Dispatcher->dispatch(Object(Request))\n File: /home/www/vhosts/polowijogosari.com/journal.polowijogosari.com/index.php line 64\n Function: PKPApplication->execute()\n Server info:\n OS: Linux\n PHP Version: 5.4.45\n Apache Version: Apache\n DB Driver: mysqli\n DB server version: 5.5.55


#2

Hi,

Are you behind a proxy? The error is mostly cosmetic (OJS is trying to load a file off of the PKP web server in order to tell you if there are new versions of OJS), but it’s a symptom of perhaps a firewall blocking outgoing requests or routing things through a proxy. Your systems administrator would be able to tell you.

Cheers,
Jason


#3

oh, I don’t know cuz I am using hosting provider. how can I turn off that notification, is there any configuration?


#4

oke its done, i commented check version code,
thanks you so much


#5

Glad to hear it’s working for you. You should probably spend some time figuring out why the version check wasn’t working, because knowing when there are new releases is handy.

Cheers,